
/* 
 * This program fades an LED using analogWrite() and PWM. It takes a
 * value from an analog input to decide how bright to make the LED. 
 * Insert calibration code if you don't know what range of values your
 * sensor is returning. 
 */
 
int potPin = A0;	// the analog input pin from the pot
int ledPin = 9; 	// pin for LED (a PWM pin)
int val; 		// Variable to hold pot value

void setup () {
  pinMode(ledPin, OUTPUT); // declare ledPin as output
}

void loop () {
  val = analogRead(potPin); //read the value from the pot
  val = map(val, 0, 1023, 100, 255); // map to reasonable values
  // Change the 0, 1023 to the real range of your sensor if
  // you want the full brightness range on your LED. 
  
  // Insert calibration code here (i.e. from the Calibration program)
  // if you want to use the Serial Monitor to calibrate the sensor
  
  analogWrite(ledPin, val);  // write the value to the LED
  // 0 is all the way off, 255 is all the way on, but in practice it's 
  // hard to see differences from 0-100. Your LED may be better though. 
}


